Retrieve last events with filtering support. Filters can be specified in the query string to narrow down results by date range, project, or other criteria.
GET
/data/events/last
curl
curl -X GET "http://api.example.com/data/events/last?after=2022-07-12&before=2022-07-12&only_files=false&cursor_event_id=a24a6ea4-ce75-4665-a070-57453082c25&limit=100&project_id=a24a6ea4-ce75-4665-a070-57453082c25&name=user_login" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/events/last"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"after": "2022-07-12",
"before": "2022-07-12",
"only_files": false,
"cursor_event_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"limit": 100,
"project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "user_login"
}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request GET 'http://api.example.com/data/events/last' \
--header "Authorization: $API_KEY"
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "user_login",
"data": {
"user_id": "b35b7fb5-df86-5776-b181-68564193d36"
},
"project_id": "c46c8gc6-eg97-6887-c292-79675204e47",
"created_at": "2023-01-01T12:00:00Z",
"user_id": "d57d9hd7-fh08-7998-d403-80786315f58"
}
]